rm(list=ls())

#loading the dataset
setwd("D:/DataMining/Databases_for_mining/logiciels_dataset/pspp")
autos <- read.table(file="autos_pspp.txt",header=T,sep="\t",dec=".")

#descriptive statistics
print(summary(data.frame(autos$horsepower,autos$city_mpg)))

#conditionnal descriptive statistics
print(tapply(autos$horsepower,autos$fuel_type,FUN=function(x){c(m=mean(x),s=sd(x))}))

#crosstabs and test of independance
library(gmodels)
print(CrossTable(autos$fuel_type,autos$aspiration,prop.r=F,prop.c=F,prop.t=F,chisq=T))

#Levene test for variance homogeneity
library(lawstat)
print(levene.test(autos$horsepower,autos$fuel_type,location="mean"))

#t-test for independent samples
print(t.test(autos$horsepower ~ autos$fuel_type, var.equal=T))

#Welch t-test for independent samples
print(t.test(autos$horsepower ~ autos$fuel_type, var.equal=F))

#t-test for paired samples
print(t.test(autos$city_mpg,autos$highway_mpg, paired=T))

#Levene test for variance homogeneity
print(levene.test(autos$horsepower,autos$body_style,location="mean"))

#analysis of variance
print(aov(horsepower ~ body_style, data = autos))

#linear regression
print(summary(lm(city_mpg ~ fuel_type_gas+aspiration_turbo+curb_weight+horsepower, data=autos)))